1.0

1.0

get /v1/cloudmonitorings/event/v2/event-policies

Description

Search Event Policies

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
queryproductResourceId
required
Product Resource ID - Product Resource ID can be viewed using @[ListAccountResources].
Example : c94607c8-6a15-4e13-84f3-99cb77d478e3
stringNone
querymetricKey
optional
Metric Key - Metric Key can be viewed using @[ListMetrics].
Example : system.cpu.system.pct
stringNone
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None
headerX-ResourceType
required
Resource Type
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPageResponseEventPolicyResponse
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/event-policies?productResourceId={productResourceId}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "checkAsg": "",
            "createBy": "",
            "createById": "",
            "eventLevel": "WARNING",
            "eventMessagePrefix": "SCP",
            "eventOccurTimeZone": "GMT+9",
            "eventPolicyId": 7226,
            "eventPolicyStatistics": {
                "eventPolicyStatisticsPeriod": 10,
                "eventPolicyStatisticsType": "MAX"
            },
            "eventThreshold": {
                "metricFunction": "delta",
                "rangeThreshold": {
                    "maxComparisonOperator": "LT",
                    "maxValue": 90,
                    "minComparisonOperator": "GT",
                    "minValue": 80
                },
                "singleThreshold": {
                    "comparisonOperator": "LT",
                    "value": 10
                },
                "thresholdType": "RANGE_VALUE"
            },
            "ftCount": 3,
            "isLogMetric": "N",
            "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
            "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
            "metricKey": "system.cpu.system.pct",
            "metricName": "system.cpu.system.pct",
            "objectName": "cpu0",
            "productName": "VM-002",
            "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
            "productSq": 7321,
            "productTargetType": "system.core.id 별",
            "productTargetTypeEn": "By system.core.id",
            "updateBy": "",
            "updateById": ""
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}